*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
body{
    background-color: #555;
}
h1{
    width: 100%;
    height: 60px;
    line-height: 60px;
    text-align: center;
    font-size: 36px;
    color: #fff;
}
img{
    width: 100%;
    height: 100%;
    border: 10px solid #fff;
    transition: all 0.3s;
}
img:hover{
    transform: scale(1.1);
}
.image1{
    grid-area: image1;
}
.image2{
    grid-area: image2;
}
.image3{
    grid-area: image3;
}
.image4{
    grid-area: image4;
}
.image5{
    grid-area: image5;
}
.image6{
    grid-area: image6;
}
.gallery{
    width: 800px;
    height: 800px;
    margin: auto;
    border: 3px solid #555;
    display: grid;
    background-color: #555;
    grid-template-rows: repeat(4, 1fr);
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 10px;
    grid-template-areas: 
        "image1 image1 image1 image1"
        "image2 image2 image3 image4"
        "image5 image5 image3 image4"
        "image5 image5 image3 image6";
}
@media (max-width: 400px) {
    .gallery{
        width: 100%;
        height: auto;
        grid-template-rows: 0.5fr repeat(6, 1fr);
        grid-template-columns: repeat(2, 1fr);
        grid-template-areas: 
            "image1 image1"
            "image2 image2"
            "image5 image5"
            "image5 image5"
            "image3 image4"
            "image3 image4"
            "image3 image6";
    }
    img:hover{
        transform: scale(0.9);
    }
}